import '../../../../food_delivery_client.dart';

class WBackButton extends StatelessWidget {
  const WBackButton({super.key});

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: () {
        context.pop();
      },
      borderRadius: AppUtils.kBorderRadius22,
      child: Ink(
        height: 44,
        width: 44,
        decoration: BoxDecoration(
          borderRadius: AppUtils.kBorderRadius22,
          color: context.appThemeColors.iconColor,
          boxShadow: [
            BoxShadow(
              color: AppColors.cA7AEC1.newWithOpacity(.3),
              offset: const Offset(0, 4),
              blurRadius: 80,
            ),
          ],
        ),
        child: SvgPicture.asset(
          context.appThemeIcons.icArrowLeft,
        ).paddingAll(10),
      ),
    );
  }
}
